/*
** Module   : WidgetPool.java
** Abstract : widget pools management functions
**
** Copyright (c) 2010, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------Description-------------------------------
** 001 SVL 20101004 Created initial version with no implementation.
** 002 cA  20130131 Moved to util package (as other non-widget resources can
**                  be pooled). Added DELETE WIDGET-POOL support.
*/

package com.goldencode.p2j.util;

/**
 * Widget pools management functions.
 */
public class WidgetPool
{
   /**
    * Delete an unnamed pool.
    */
   public static void delete()
   {
      delete(null);
   }

   /**
    * Delete a pool with the given name.
    *
    * @param name
    *        The name of the newly created pool. Specify <code>null</code> is
    *        the pool is unnamed.
    */
   public static void delete(String name)
   {
      throw new UnsupportedOperationException("Not implemented");
   }

   /**
    * Create an unnamed pool.
    */
   public static void create()
   {
      create(null);
   }

   /**
    * Create a pool with the given name.
    *
    * @param name
    *        The name of the newly created pool. Specify <code>null</code> is
    *        the pool is unnamed.
    */
   public static void create(String name)
   {
      create(name, false);
   }

   /**
    * Create a pool with the given name and the given "persistent" option.
    *
    * @param name
    *        The name of the newly created pool. Specify <code>null</code> is
    *        the pool is unnamed.
    * @param persistent
    *        <code>true</code> if the pool is persistent.
    */
   public static void create(String name, boolean persistent)
   {
      throw new UnsupportedOperationException("Not implemented");
   }
}
